Endjoker
采纳率0%
2021-02-27 18:21

mvn下载mahout一直失败

20
已结题

配置的是阿里源

执行命令mvn -Phadoopbench -Dspark=2.1 -Dscala=2.11 clean package一直下载不来mahout

 

这个网址打开需要登入账号和密码:

这种情况有办法解决吗?换了好几个源也不行。

  • 点赞
  • 收藏
  • 复制链接分享

4条回答

  • Endjoker 1月前
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.intel.hibench</groupId>
    <artifactId>hibench</artifactId>
    <version>7.0</version>
    <packaging>pom</packaging>
    <name>hibench</name>
    <url>http://maven.apache.org</url>
    <properties>
    <maven.compiler.source>1.6</maven.compiler.source>
    <maven.compiler.target>1.6</maven.compiler.target>
    <encoding>UTF-8</encoding>
    <scala.version>2.10.4</scala.version>
    <scala.binary.version>2.10</scala.binary.version>
    <slf4j.version>1.7.5</slf4j.version>
    <log4j.version>1.2.17</log4j.version>
    <scopt.version>3.2.0</scopt.version>
    <mahout.version>0.9</mahout.version>
    <uncommons-maths.version>1.2.2a</uncommons-maths.version>
    <junit.version>3.8.1</junit.version>
    <hadoop.mr2.version>2.4.0</hadoop.mr2.version>
    <hadoop.mr1.version>1.2.1</hadoop.mr1.version>
    <scala-maven-plugin.version>3.2.0</scala-maven-plugin.version>
    <maven-compiler-plugin.version>3.2</maven-compiler-plugin.version>
    <maven-assembly-plugin.version>2.5.3</maven-assembly-plugin.version>
    <maven-jar-plugin.version>2.3.2</maven-jar-plugin.version>
    <build-helper-maven-plugin.version>1.9.1</build-helper-maven-plugin.version>
    <download-maven-plugin.version>1.2.0</download-maven-plugin.version>
    <jetty.version>8.1.14.v20131031</jetty.version>
    <scalatest.version>2.2.1</scalatest.version>
    <scalacheck.version>1.11.3</scalacheck.version>
    <fastutil.version>6.5.15</fastutil.version>
    </properties>
    <dependencies>
    <dependency>
    <groupId>junit</groupId>
    <artifactId>junit</artifactId>
    <version>${junit.version}</version>
    <scope>test</scope>
    </dependency>
    <dependency>
    <groupId>log4j</groupId>
    <artifactId>log4j</artifactId>
    <version>${log4j.version}</version>
    <scope>compile</scope>
    </dependency>
    </dependencies>
    <repositories>
    <repository>
    <id>central</id>
    <!--  This should be at top, it makes maven try the central repo first and then others and hence faster dep resolution  -->
    <name>Maven Repository</name>
    <url>https://repo1.maven.org/maven2</url>
    <releases>
    <enabled>true</enabled>
    </releases>
    <snapshots>
    <enabled>false</enabled>
    </snapshots>
    </repository>
    <repository>
    <id>apache-repo</id>
    <name>Apache Repository</name>
    <url>https://repository.apache.org/content/repositories/releases</url>
    <releases>
    <enabled>true</enabled>
    </releases>
    <snapshots>
    <enabled>false</enabled>
    </snapshots>
    </repository>
    <repository>
    <id>scala-tools.org</id>
    <name>Scala-tools Maven 2 Repository</name>
    <url>https://oss.sonatype.org/content/groups/scala-tools/</url>
    </repository>
    <repository>
    <id>cloudera</id>
    <url>https://repository.cloudera.com/artifactory/cloudera-repos/</url>
    <releases>
    <enabled>true</enabled>
    </releases>
    <snapshots>
    <enabled>true</enabled>
    </snapshots>
    </repository>
    </repositories>
    <pluginRepositories>
    <pluginRepository>
    <id>scala-tools.org</id>
    <name>Scala-tools Maven2 Repository</name>
    <url>https://oss.sonatype.org/content/groups/scala-tools/</url>
    </pluginRepository>
    </pluginRepositories>
    <build>
    <pluginManagement>
    <plugins>
    <plugin>
    <groupId>net.alchim31.maven</groupId>
    <artifactId>scala-maven-plugin</artifactId>
    <version>${scala-maven-plugin.version}</version>
    </plugin>
    <plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-compiler-plugin</artifactId>
    <version>${maven-compiler-plugin.version}</version>
    </plugin>
    </plugins>
    </pluginManagement>
    </build>
    <modules>
    <module>common</module>
    <module>autogen</module>
    </modules>
    <profiles>
    <profile>
    <id>sparkbench</id>
    <modules>
    <module>sparkbench</module>
    </modules>
    </profile>
    <profile>
    <id>flinkbench</id>
    <modules>
    <module>flinkbench</module>
    </modules>
    </profile>
    <profile>
    <id>gearpumpbench</id>
    <modules>
    <module>gearpumpbench</module>
    </modules>
    </profile>
    <profile>
    <id>hadoopbench</id>
    <modules>
    <module>hadoopbench</module>
    </modules>
    </profile>
    <profile>
    <id>stormbench</id>
    <modules>
    <module>stormbench</module>
    </modules>
    </profile>
    <profile>
    <id>defaultbench</id>
    <modules>
    <module>sparkbench</module>
    <module>flinkbench</module>
    <module>gearpumpbench</module>
    <module>hadoopbench</module>
    <module>stormbench</module>
    </modules>
    <activation>
    <activeByDefault>true</activeByDefault>
    </activation>
    </profile>
    </profiles>
    </project>
    点赞 评论 复制链接分享
  • Endjoker 1月前

     

    点赞 评论 复制链接分享
  • weixin_41908433 知雀的天空 2月前

     本地工程的pom文件添加cloudera仓库配置 

    <repositories>
        <repository>
            <id>cloudera</id>
            <url>https://repository.cloudera.com/artifactory/cloudera-repos/</url>
        </repository>
        <releases>
            <enabled>true</enabled>
        </releases>
        <snapshots>
            <enabled>true</enabled>
        </snapshots>
    </repositories>

    需要修改setting.xml (以下配置中 *,!cloudera 表示除了aliyun仓库还使用cloudera仓库)

     

    <mirror>
        <id>nexus-aliyun</id>
        <mirrorOf>*,!cloudera</mirrorOf>
        <name>Nexus aliyun</name>
        <url>http://maven.aliyun.com/nexus/content/groups/public</url>
    </mirror>
    点赞 评论 复制链接分享
  • weixin_41908433 知雀的天空 2月前

    能贴一下pom文件吗

    点赞 评论 复制链接分享